#pragma once
#include "Entity.h"
#define CS_ENEMY_ROLLROCKBASE_CREATENAME L"CS_enemy_rollrockbase"
//ÐéÄâÂäÊ¯²úÉúÆ÷
class CS_Enemy_RollRockBase :
    public ActionEntity
{
public:
    CS_Enemy_RollRockBase();
    void Step() override;
    void SetState(int stateID, int lr) override;
};

std::shared_ptr<Entity> CreateCS_Enemy_RollRockBase();